Package org.eclipse.cdt.utils

# Class Addr32Factory

java.lang.Object
org.eclipse.cdt.utils.Addr32Factory

All Implemented Interfaces:
  `IAddressFactory`, `IAddressFactory2`

public class Addr32Factory extends Object implements IAddressFactory2

## Constructor Summary

Constructors
Constructor
Description
`Addr32Factory()`

## Method Summary

Modifier and Type
Method
Description
`IAddress`
`createAddress(String addr)`
Creates address from string representation.
`IAddress`
`createAddress(String addr, boolean truncate)`
See `IAddressFactory.createAddress(String)`.
`IAddress`
`createAddress(String addr, int radix)`
Creates address from string with given radix.
`IAddress`
`createAddress(String addr, int radix, boolean truncate)`
See `IAddressFactory.createAddress(String, int)`.
`IAddress`
`createAddress(BigInteger addr)`
Create address from a BigInteger
`IAddress`
`createAddress(BigInteger addr, boolean truncate)`
See `IAddressFactory.createAddress(BigInteger)`.
`IAddress`
`getMax()`
Returns maximal address.
`IAddress`
`getZero()`
Returns zero address, i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Addr32Factory

public Addr32Factory()

## Method Details

### getZero

public IAddress getZero()
Description copied from interface: `IAddressFactory`
Returns zero address, i.e. minimal possible address

Specified by:
  `getZero` in interface `IAddressFactory`

### getMax

public IAddress getMax()
Description copied from interface: `IAddressFactory`
Returns maximal address.

Specified by:
  `getMax` in interface `IAddressFactory`

### createAddress

public IAddress createAddress(String addr)
Description copied from interface: `IAddressFactory`
Creates address from string representation. 1. Method should be able to create address from hex address string (string produced with IAddress.toHexAddressString() method). 2. Method should be case insensetive 3. Method should be able to create address from decimal address representation 4. Method should throw NumberFormatException if the given string cannot be decoded. 5. Method should not attempt to evaluate string as expression (i.e., "0x1000 + 5" should not result in an IAddress for 0x1005.) Input must be a straightforward, absolute value. Please see Addr32Factory.createAddress() for reference implementation.

Specified by:
  `createAddress` in interface `IAddressFactory`

### createAddress

public IAddress createAddress(String addr, boolean truncate)
Description copied from interface: `IAddressFactory2`
See `IAddressFactory.createAddress(String)`. Same contract except that the constructor will throw a NumberFormatException if the supplied initializer value is out of range (when 'truncate' is false). IAddressFactory methods implicitly truncate if the value is out of range.

Specified by:
  `createAddress` in interface `IAddressFactory2`

### createAddress

public IAddress createAddress(String addr, int radix)
Description copied from interface: `IAddressFactory`
Creates address from string with given radix. Given string should not contain any prefixes or sign numbers. Method should be case insensetive Method should throw NumberFormatException if the given string cannot be decoded. Method should not attempt to evaluate string as expression (i.e., "1000 + 5" should not result in an IAddress for 1005.) Input must be a straightforward, absolute value.

Specified by:
  `createAddress` in interface `IAddressFactory`

### createAddress

public IAddress createAddress(String addr, int radix, boolean truncate)
Description copied from interface: `IAddressFactory2`
See `IAddressFactory.createAddress(String, int)`. Same contract except that the constructor will throw a NumberFormatException if the supplied initializer value is out of range (when 'truncate' is false). IAddressFactory methods implicitly truncate if the value is out of range.

Specified by:
  `createAddress` in interface `IAddressFactory2`

### createAddress

public IAddress createAddress(BigInteger addr)
Description copied from interface: `IAddressFactory`
Create address from a BigInteger

Specified by:
  `createAddress` in interface `IAddressFactory`

### createAddress

public IAddress createAddress(BigInteger addr, boolean truncate)
Description copied from interface: `IAddressFactory2`
See `IAddressFactory.createAddress(BigInteger)`. Same contract except that the constructor will throw a NumberFormatException if the supplied initializer value is out of range (when 'truncate' is false). IAddressFactory methods implicitly truncate if the value is out of range.

Specified by:
  `createAddress` in interface `IAddressFactory2`